Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface ActsForConstraintNode

All Superinterfaces:
  java.lang.Cloneable, ConstraintNode, polyglot.util.Copy, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps

All Known Implementing Classes:
  ActsForConstraintNode_c

    public interface ActsForConstraintNode

extends ConstraintNode

An immutable representation of the Jif `ActsFor constraint`.

Grammer: `actsFor (actor, granter)`

The `ActsFor constraint` only appears in the `where` clause of a procedure header.

Method Summary
`PrincipalNode` | `actor()` Gets the actor principal.
`ActsForConstraintNode` | `actor(PrincipalNode actor)` Returns a copy of this node with the actor updated.
`PrincipalNode` | `granter()` Gets the granter principal.
`ActsForConstraintNode` | `granter(PrincipalNode granter)` Returns a copy of this node with the granter updated.

Methods inherited from interface jif.ast.ConstraintNode
`constraint, constraint`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.util.Copy
`copy`

Method Detail

### actor

    PrincipalNode actor()

  Gets the actor principal.

### actor

    ActsForConstraintNode actor(PrincipalNode actor)

  Returns a copy of this node with the actor updated.

### granter

    PrincipalNode granter()

  Gets the granter principal.

### granter

    ActsForConstraintNode granter(PrincipalNode granter)

  Returns a copy of this node with the granter updated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD